Jump to content

Texture Pack Frage


NiceKype
 Share

Recommended Posts

Hallo zusammen,

ich habe eine Frage zu Texture Packs. Kann man ein Texture Pack machen was in allen Versionen funktioniert? Also von 1.8 - 1.13? Und was muss man dann dafür tun?

Sollte das nicht möglich sein, möchte ich wissen was im Pack dafür zuständig ist, dass Minecraft erkennt, für welche Version das Pack ist. Damit ich, wie gesagt falls ein Universelles Pack nicht möglich ist, ich meins für verschiedene Versionen erstellen kann.

 

Mit freundlichen Grüßen

Timo | NiceKype

Link to comment
Share on other sites

Hi,

100% universell kannst du nicht erstellen, da sich gerade in 1.13 einiges an den Block-IDs geändert hat und viele Blöcke nun anders heißen. Auch an den Blockstates hat sich einiges verändert.

Minecraft hat zwar eine art Fallback um alte Packs zu laden, aber dies ist natürlich nicht optimal.

Zuständig für die Versionserkennung ist die Datei "pack.mcmeta" in dieser gibt es einen Eintrag "pack_format":

1 = 1.6-1.8,

2 = 1.9 und 1.10,

3 = 1.11 und 1.12,

4 = 1.13

 

-Yuki

  • Thanks 1
Link to comment
Share on other sites

  • 3 weeks later...

Mach ein Resourcepack für die neuste Version(zb 1.13), dass läuft auch in der 1.8. Das einzige was ist, es kommt immer diese Meldung, dass das Resourcepack für ne andre Version gemacht wurde. Funktioniert aber perfekt, BIS auf das Inventar, in der 1.9? wurde ja der Schild Slot eingeführt und somit auch das Crafting Feld verschoben, das heißt das Inventar sieht verbuggt aus.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...
B